Package com.pixelmed.apps

# Class CompareSetsOfDicomFiles

java.lang.Object
com.pixelmed.apps.CompareSetsOfDicomFiles

public class CompareSetsOfDicomFiles extends Object

A class to compare two sets of DICOM files.

## Constructor Summary

Constructors
Constructor
Description
`CompareSetsOfDicomFiles(String firstPath, String secondPath)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
For testing, read all DICOM files and build a set of them.
`static boolean`
`updateDigest(MessageDigest md, BufferedImage srcImage)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompareSetsOfDicomFiles

public CompareSetsOfDicomFiles(String firstPath, String secondPath)

## Method Details

### updateDigest

public static boolean updateDigest(MessageDigest md, BufferedImage srcImage) throws DicomException, IOException

Throws:
  `DicomException`
  `IOException`

### main

public static void main(String[] arg)

For testing, read all DICOM files and build a set of them.

Parameters:
  `arg` - the filenames